#include <iostream>

using namespace std;

int main()
{
    int t;
    cin >> t;
    int n[t], m[t], k[t];
    for(int i = 0; i < t; i++)
    {
        cin >> n[i] >> m[i] >> k[i];
    }

    for(int i = 0; i < t; i++)
    {
        int ucenikaPoGrupi = n[i] / k[i];
        int ostatakUcenika = n[i] % k[i];
        int minBananicePoGrupi = 0;
        int minBananiceZaOstatak = 0;
        for(int j = 1; j <= ucenikaPoGrupi; j++)
        {
            minBananicePoGrupi += j;
        }
        int prviUcenikOstatka = ucenikaPoGrupi + 1;
        for(int k = prviUcenikOstatka; k < (prviUcenikOstatka + ostatakUcenika); k++)
        {
            minBananiceZaOstatak += k;
        }

        int minimalnoPotrebneKremBananice = k[i] * minBananicePoGrupi + minBananiceZaOstatak;

        if(minimalnoPotrebneKremBananice > m[i])
            cout << "Nie" << endl;
        else
            cout << "Tak" << endl;

    }
    return 0;
}